Bug 851267 - Review Request: arc-gui-clients - ARC Graphical Clients
Review Request: arc-gui-clients - ARC Graphical Clients
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Volker Fröhlich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 11:36 EDT by Mattias Ellert
Modified: 2015-03-30 15:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-01 00:26:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
volker27: fedora‑review+
puiterwijk: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2012-08-23 11:36:05 EDT
Spec URL: http://grid.tsl.uu.se/review/arc-gui-clients.spec
SRPM URL: http://grid.tsl.uu.se/review/arc-gui-clients-0.3.0-1.fc17.src.rpm

Description: Provides graphical clients to the NorduGrid ARC middleware.
Comment 2 Eduardo Echeverria 2012-10-07 01:33:23 EDT
Hi Mattias:
Initial Comments:

From what I see, you have intentions of supporting EPEL5.
- If so,please add buildroot
  Example: 
  BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#BuildRoot_tag
- Even if you use macros correctly how $RPM_BUILD_ROOT, we have a macro that is commonly used %{buildroot}, is only a suggestion.
- Reorder the %docs section right after the %files section.
- Add %defattr in %files. (for EPEL5)
- Add %clean section (rm -rf %{buildroot})
- Don't Require desktop-file-utils for update-desktop-database
http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-database
- Don't having man pages for the binaries, commonly it searches a distro that if may to having disposal this pages, but you have to notify upstream or work with he for add them. 
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Man_pages

Best Regards
Comment 3 Eduardo Echeverria 2012-10-07 01:57:03 EDT
Sorry, Ignore this: 
- Don't Require desktop-file-utils for update-desktop-database
You use desktop-file-validate, therefore requires desktop-file-utils
Comment 4 Mattias Ellert 2012-10-09 00:04:34 EDT
The package builds on RHEL6, but when I try to build on RHEL5 whe qt4 version is too old and the build fails. So for now I was aiming at EPEL6 but not EPEL5.
Comment 5 Eduardo Echeverria 2012-10-09 01:46:00 EDT
Hi Mattias:
In this case remove all supporting with EPEL5,  EPEL6 shares the same guidelines of packaging of Fedora
Best Regards
Comment 6 Mattias Ellert 2012-10-14 15:00:25 EDT
Hi, please be more specific.

The specfile does not have a buildroot tag, nor does it clean the buildroot in %install or has a %clean section. There is also no %defattr in %files. So it is not clear what you are referring to.
Comment 7 Eduardo Echeverria 2012-10-18 15:03:13 EDT
Hi Mattias
I refer to this:
%install
Please remove this line:
rm -rf $RPM_BUILD_ROOT
Best regards
Comment 8 Mattias Ellert 2012-10-19 13:00:17 EDT
OK, I see it now - here we go:

Spec URL: http://grid.tsl.uu.se/review/arc-gui-clients.spec
SRPM URL: http://grid.tsl.uu.se/review/arc-gui-clients-0.3.1-2.fc17.src.rpm
Comment 9 Volker Fröhlich 2012-10-26 18:01:05 EDT
Please drop the version requirement for nordugrid-arc-devel. Every release of Fedora and EPEL 6 has version 2.

Don't run scriplets. Your desktop files don't have MIME type entries.
Comment 10 Mattias Ellert 2012-11-01 23:57:30 EDT
Thanks. New version:

Spec URL: http://grid.tsl.uu.se/review/arc-gui-clients.spec
SRPM URL: http://grid.tsl.uu.se/review/arc-gui-clients-0.3.1-3.fc17.src.rpm
Comment 11 Mattias Ellert 2013-04-19 00:29:40 EDT
Hi Volker, are you still reviewing this?

New version:

Spec URL: http://grid.tsl.uu.se/review/arc-gui-clients.spec
SRPM URL: http://grid.tsl.uu.se/review/arc-gui-clients-0.4.3-1.fc18.src.rpm
Comment 12 Volker Fröhlich 2013-04-21 18:19:22 EDT
I actually hadn't assigned myself to it, but I guess I can do it.
Comment 13 Volker Fröhlich 2013-04-24 14:21:45 EDT
Fails to build:

CMake Error at /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:108 (message):
  Could NOT find Qt4 (missing: QT_QTWEBKIT_INCLUDE_DIR) (found version
  "4.8.4")
Comment 14 Mattias Ellert 2013-04-25 04:55:55 EDT
My most humble apologies. I hadn't noticed that the new version had an additional Build Requirement on the qt webkit that the previous version did not have. Note to self - always do a proper mock build...

New version:

Spec URL: http://grid.tsl.uu.se/review/arc-gui-clients.spec
SRPM URL: http://grid.tsl.uu.se/review/arc-gui-clients-0.4.3-2.fc18.src.rpm
Comment 15 Volker Fröhlich 2013-04-25 12:48:46 EDT
There are a couple of compiler warnings. Maybe you can work with upstream to get rid of some of them.

The file headers contain no license declarations. I assume ASL 2.0 is correct.

I assume you're not shipping the generated documentation on purpose. I started the applications and "Help" seemingly lead me to the online help. I guess that's fine.

This package is APPROVED.


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/makerpm/851267-arc-gui-clients/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: update-desktop-database is invoked when required
     Note: desktop file(s) in arc-gui-clients
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.

All applications launched and I clicked around a bit.

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

PPC and ARM succeed as well

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: arc-gui-clients-0.4.3-2.fc20.x86_64.rpm
arc-gui-clients.x86_64: W: spelling-error %description -l en_US middleware -> middle ware, middle-ware, middleweight
arc-gui-clients.x86_64: W: no-manual-page-for-binary arcsub-ui
arc-gui-clients.x86_64: W: no-manual-page-for-binary arccert-ui
arc-gui-clients.x86_64: W: no-manual-page-for-binary arcproxy-ui
arc-gui-clients.x86_64: W: no-manual-page-for-binary arcstat-ui
arc-gui-clients.x86_64: W: no-manual-page-for-binary arcstorage-ui
1 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint arc-gui-clients
arc-gui-clients.x86_64: W: spelling-error %description -l en_US middleware -> middle ware, middle-ware, middleweight
arc-gui-clients.x86_64: W: no-manual-page-for-binary arcsub-ui
arc-gui-clients.x86_64: W: no-manual-page-for-binary arccert-ui
arc-gui-clients.x86_64: W: no-manual-page-for-binary arcproxy-ui
arc-gui-clients.x86_64: W: no-manual-page-for-binary arcstat-ui
arc-gui-clients.x86_64: W: no-manual-page-for-binary arcstorage-ui
1 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'



Requires
--------
arc-gui-clients (rpmlib, GLIBC filtered):
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSql.so.4()(64bit)
    libQtWebKit.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libQtXmlPatterns.so.4()(64bit)
    libarccommon.so.2()(64bit)
    libarccommunication.so.2()(64bit)
    libarccompute.so.2()(64bit)
    libarccredential.so.2()(64bit)
    libarccredentialstore.so.2()(64bit)
    libarccrypto.so.2()(64bit)
    libarcdata.so.2()(64bit)
    libarcloader.so.2()(64bit)
    libarcmessage.so.2()(64bit)
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libcrypto.so.10(libcrypto.so.10)(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libglib-2.0.so.0()(64bit)
    libglibmm-2.4.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libsigc-2.0.so.0()(64bit)
    libssl.so.10()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libxml2.so.2()(64bit)
    rtld(GNU_HASH)



Provides
--------
arc-gui-clients:
    arc-gui-clients
    arc-gui-clients(x86-64)



MD5-sum check
-------------
http://downloads.sourceforge.net/arc-gui-clients/arc-gui-clients-0.4.3-Source.tar.gz :
  CHECKSUM(SHA256) this package     : 03f914737abd7fdea2ccfe70a57e8f58d56a98477fffe71f9b7504d2fcce2806
  CHECKSUM(SHA256) upstream package : 03f914737abd7fdea2ccfe70a57e8f58d56a98477fffe71f9b7504d2fcce2806


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 851267
Comment 16 Mattias Ellert 2013-04-26 07:51:48 EDT
Many thanks for the review.

New Package SCM Request
=======================
Package Name: arc-gui-clients
Short Description: ARC Graphical Clients
Owners: ellert
Branches: f17 f18 f19 master el6
InitialCC:
Comment 17 Gwyn Ciesla 2013-04-26 08:11:30 EDT
Git done (by process-git-requests).
Comment 18 Fedora Update System 2013-04-26 09:19:48 EDT
arc-gui-clients-0.4.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/arc-gui-clients-0.4.3-2.fc17
Comment 19 Fedora Update System 2013-04-26 09:20:07 EDT
arc-gui-clients-0.4.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/arc-gui-clients-0.4.3-2.fc19
Comment 20 Fedora Update System 2013-04-26 09:20:19 EDT
arc-gui-clients-0.4.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/arc-gui-clients-0.4.3-2.el6
Comment 21 Fedora Update System 2013-04-26 09:20:30 EDT
arc-gui-clients-0.4.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/arc-gui-clients-0.4.3-2.fc18
Comment 22 Fedora Update System 2013-04-26 12:46:35 EDT
arc-gui-clients-0.4.3-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 23 Fedora Update System 2013-05-01 00:26:47 EDT
arc-gui-clients-0.4.3-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 24 Fedora Update System 2013-05-04 22:22:21 EDT
arc-gui-clients-0.4.3-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 25 Fedora Update System 2013-05-04 22:23:41 EDT
arc-gui-clients-0.4.3-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 26 Mattias Ellert 2015-03-29 17:10:01 EDT
Package Change Request
======================
Package Name: arc-gui-clients
New Branches: epel7
Owners: ellert
Comment 27 Patrick Uiterwijk 2015-03-30 15:58:20 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.